Pregunta sobre iThemes Security (formerly Better WP Security) de Wordpress:

La configuraci贸n del Centro de notificaciones no funciona

Un usuario pregunt贸 馃憞

Hola a todos,

Recibo el siguiente error al respecto Notification Center ubicaci贸n.

Error while sending notification: Invalid address: (setFrom) [email protected] View All.

驴C贸mo funciona esto por favor?

Acerca de

(@nlpro)

Hace 3 meses, 2 semanas

El sitio no parece tener una 芦Direcci贸n del sitio (URL)禄 en la p谩gina Configuraci贸n general de WordPress (Configuraci贸n / General). Entonces ese parece ser un problema espec铆fico del sitio.

Solo por curiosidad, 驴qu茅 sucede cuando hace clic en el enlace 芦Ver todo禄?

Para evitar confusiones, no soy iThemes.

(@wpreceiver)

Hace 3 meses, 2 semanas

View All me lleva al Logs p谩gina. Es.

(@nlpro)

Hace 3 meses, 2 semanas

De acuerdo, 驴y realmente se muestra el contenido de inicio de sesi贸n?

El siguiente c贸digo muestra c贸mo crear la direcci贸n de origen predeterminada (funci贸n wp_send () en wp-include / pluggable.php):

$sitename = wp_parse_url( network_home_url(), PHP_URL_HOST );
if ( 'www.' === substr( $sitename, 0, 4 ) ) {
	$sitename = substr( $sitename, 4 );
}

$from_email = '[email protected]' . $sitename;

驴Es un entorno WordPress multisitio?

Asegurarse Desde el e-mail instalarse en el Centro de notificaciones m贸dulo vac铆o (sin espacios).

Una cosa m谩s, 驴qu茅 versi贸n de WordPress se est谩 utilizando? (PHPMailer se actualiz贸 en la 煤ltima versi贸n de WordPress (5.5.x)).

Esta respuesta fue modificada hace 3 meses, hace dos semanas por.

(@wpreceiver)

Hace 3 meses, 2 semanas

No es un sitio m煤ltiple.

(@nlpro)

Hace 3 meses, 2 semanas

驴Qu茅 versi贸n de WordPress se est谩 utilizando? (PHPMailer se actualiz贸 en la 煤ltima versi贸n de WordPress (5.5.x)).

(@wpreceiver)

Hace 3 meses, 2 semanas

La 煤ltima versi贸n de WordPress y el sitio web est谩n actualizados.

Esta respuesta fue modificada hace 3 meses, hace dos semanas por.

(@nlpro)

Hace 3 meses, 2 semanas

Bien, pero 驴esta no fue una instalaci贸n limpia de 5.5.x? 驴Ha actualizado recientemente desde una versi贸n anterior de WordPress a 5.5.x?

Es posible que el error se haya generado en una versi贸n anterior de WordPress. Dichos errores se almacenan en la base de datos y sigue mostrando que los est谩 descartando. Si estoy en lo correcto, puede hacer clic en el signo X para descartar el error.

驴Se est谩n enviando correos electr贸nicos desde este entorno de WordPress en este momento? (Ya sea desde el plugin o WordPress).

(@wpreceiver)

Hace 3 meses, 2 semanas

Esto no solo se instala. Pero el sitio web est谩 actualizado. Esto funciona hasta ahora.

(@nlpro)

Hace 3 meses, 1 semana

Bueno. Entonces, la conclusi贸n es que el error que se muestra parece ser una reliquia del pasado. Debido a que el error est谩 almacenado en la base de datos y no se ha descartado (todav铆a), solo lo muestra.

Dado que WordPress, PHPMailer y el plugin iTSec m谩s probable se han actualizado recientemente, es posible que la causa principal ahora no sea repetir el error.

Clickea en el Ver todo el enlace lo lleva a la p谩gina de registros del plugin y, si se muestra el contenido, es posible que a煤n pueda identificar la fecha exacta en que ocurri贸 este error en particular (as铆 como otra informaci贸n relevante registrada). Tenga en cuenta que los datos de inicio de sesi贸n se conservan de forma predeterminada durante 60 d铆as. Entonces, si el error fue causado por un problema hace m谩s de 60 d铆as, existe una buena posibilidad de que la entrada del registro ya se haya eliminado (es decir, si el evento cron de datos de purga del registro est谩 funcionando correctamente).

Hasta ahora (si a煤n no lo est谩) descarte el error (que eliminar谩 el error de la base de datos) y luego controle la situaci贸n (correo electr贸nico).

Dado que los correos electr贸nicos parecen enviarse correctamente en este momento, no espero que ocurra este error en particular 馃槈

驴Solucion贸 tu problema??

0 / 0

Deja una respuesta 0

Tu direcci贸n de correo electr贸nico no ser谩 publicada. Los campos obligatorios est谩n marcados con *